Bug 841480 - RFE: need a easy way to configure serial port console with getty in kickstart
RFE: need a easy way to configure serial port console with getty in kickstart
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
: FutureFeature
Depends On:
Blocks: 841481
  Show dependency treegraph
 
Reported: 2012-07-19 02:28 EDT by Subhendu Ghosh
Modified: 2016-10-04 00:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 841481 (view as bug list)
Environment:
Last Closed: 2012-10-18 15:24:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Subhendu Ghosh 2012-07-19 02:28:57 EDT
Description of problem:

Some hardware roadmaps don't include graphics card or keyboard inputs - only serial ports. In order to debug these systems without a network ssh session or a local console with a keyboard and video card, we need a functioning serial port with both input and output capability.  Output is managed by kernel console= option and that is exposed by anaconda, but there is no equivalent for inittab munging.

It would be really useful to have a anaconda option that would enable getty on all the appropriate run levels


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2012-07-19 16:10:19 EDT
Need more clarity: any time console=ttyS... is passed, a getty is automatically spawned on the serial console. What more is required?
Comment 2 David Cantrell 2012-10-18 15:24:04 EDT
I don't think this is relevant to RHEL-6.  upstart in RHEL-6 is configured by default to automatically start a getty on the console if it's a serial console.  It does this by examining the console= paramter, so we do not need to make any adjustments to /etc/inittab.

Marking this as CLOSED NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.